---
title: Get information about all responses of a recipient
slug: campaign/api/get-information-about-all-responses-of-a-recipient
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "PS_DXjYcJJqJm2FTJBZ31",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/responses",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/responses"
      }
    ],
    "name": "Get information about all responses of a recipient",
    "description": "<p>Get detailed information about all responses of a recipient, such as response type, response subject and rule name of the response.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "string",
          "description": "Client ID"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of retrieved responses Default value : 100</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "recipientIds",
          "type": "array",
          "description": "<p>Comma-separated list of recipient IDs (only required if the \"mailingId\" parameter is not specified)</p>",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "mailingId",
          "type": "integer<int64>",
          "description": "<p>Mailing ID (only required if the \"recipientIds\" parameter is not specified)</p>",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "category",
          "type": "string",
          "description": "Response type",
          "enum": [
            "hardbounce",
            "softbounce",
            "autoresponder",
            "unknown"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The responses were retrieved successfully (empty result if none was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestResponseStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestResponse",
                "customType": "RestResponse[]",
                "schema": [
                  {
                    "name": "mailId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Encoded mail ID"
                  },
                  {
                    "name": "mailingId",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Mailing ID",
                    "format": "int64"
                  },
                  {
                    "name": "recipientListId",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Recipient list ID",
                    "format": "int64"
                  },
                  {
                    "name": "recipientId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Recipient ID"
                  },
                  {
                    "name": "category",
                    "kind": "optional",
                    "type": "string",
                    "description": "Response type"
                  },
                  {
                    "name": "subject",
                    "kind": "optional",
                    "type": "string",
                    "description": "Response subject"
                  },
                  {
                    "name": "ruleName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Rule name of the response"
                  },
                  {
                    "name": "mediaType",
                    "kind": "optional",
                    "type": "string<EMAIL | FAX | SMS | LETTER | PUSH | PRINT>",
                    "description": "Media type of the response",
                    "enum": [
                      "EMAIL",
                      "FAX",
                      "SMS",
                      "LETTER",
                      "PUSH",
                      "PRINT"
                    ]
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Creation date",
                    "format": "date-time"
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestResponseStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>None of the mandatory parameters were provided (category and mailingId/recipientIds), or limit parameter is greater than 10000.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "If a mailingId was requested and that mailingId was not found. If one or more recipientIds were requested and none of them were found.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "WuzSzkxw7n85GtW7HRwMu",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "vwS8WKgb0-fVeAXa-MDXl",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "rZdvXhmcjXGLWf_Opw88K",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Azu4br1o_H-eZZ_6d73Vn",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/responses?category=hardbounce\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "WuzSzkxw7n85GtW7HRwMu"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The responses were retrieved successfully (empty result if none was found).\n{\n  \"elements\": [\n    {\n      \"mailId\": \"\",\n      \"mailingId\": \"\",\n      \"recipientListId\": \"\",\n      \"recipientId\": \"\",\n      \"category\": \"\",\n      \"subject\": \"\",\n      \"ruleName\": \"\",\n      \"mediaType\": \"\",\n      \"created\": \"\"\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// None of the mandatory parameters were provided (category and mailingId/recipientIds), or limit parameter is greater than 10000.\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// If a mailingId was requested and that mailingId was not found. If one or more recipientIds were requested and none of them were found.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}